Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class LP_Solver

    java.lang.Object
      mapping.LP_Solver

    public class LP_Solver

extends java.lang.Object

This class is responsible for solving the LP allocation. The LP package used in this class was taken from http://opsresearch.com/OR-Objects/

Author:
  Majd Kokaly

Constructor Summary
`LP_Solver()`

Method Summary
`static DeltaStar` | `solveWithAj(ServersTable serversTable, JobClassesTable jobClassesTable)` This method solves the LP allocation.
`static java.lang.Object[]` | `solveWithAjAndReturnFullDeltaStar(ServersTable serversTable, JobClassesTable jobClassesTable)` This method solves the LP allocation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LP_Solver

    public LP_Solver()

Method Detail

### solveWithAj

    public static DeltaStar solveWithAj(ServersTable serversTable,
                                        JobClassesTable jobClassesTable)
                                 throws java.lang.Exception

  This method solves the LP allocation. Please refer to the LPAS_DG section in the thesis document.

  Parameters:
    `serversTable` - The table containing the servers
    `jobClassesTable` - The table containing the job classes.
  Returns:
    A DeltaStar object containing the delta & matrix
  Throws:
    `java.lang.Exception`

### solveWithAjAndReturnFullDeltaStar

    public static java.lang.Object[] solveWithAjAndReturnFullDeltaStar(ServersTable serversTable,
                                                                       JobClassesTable jobClassesTable)
                                                                throws java.lang.Exception

  This method solves the LP allocation.

  Parameters:
    `serversTable` - The table containing the servers
    `jobClassesTable` - The table containing the job classes.
  Returns:
    both objects of the Delta* and lamda*
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD